brick_sqlite_generators 1.1.1+1
brick_sqlite_generators: ^1.1.1+1 copied to clipboard

Code generation library for the SQLite providers, models, and adapters in Brick

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add brick_sqlite_generators

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  brick_sqlite_generators: ^1.1.1+1

Alternatively, your editor might support dart pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:brick_sqlite_generators/builders.dart';
import 'package:brick_sqlite_generators/generators.dart';
import 'package:brick_sqlite_generators/sqlite_model_serdes_generator.dart';
0
likes
90
pub points
33%
popularity

Code generation library for the SQLite providers, models, and adapters in Brick

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

analyzer, brick_build, brick_sqlite_abstract, build, dart_style, meta, source_gen

More

Packages that depend on brick_sqlite_generators